/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.common.job;

/**
 * @author 田平 create 2020年3月25日下午4:35:12
 *
 */
public abstract class ScanQueue implements ScanGroup {

	public abstract String getId();

	public abstract String getLockId();

	public abstract int getDealTimes();

	public abstract void setDealTimes(int dealTimes);

	public abstract void setJobDoing();
	
	public abstract void setErrorDesc(Exception e);

}
